using System;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string slova = Console.ReadLine();
            string[] s = Console.ReadLine().Split();
            int[] niz = new int[2];
            niz[0] = Convert.ToInt32(s[0]);
            niz[1] = Convert.ToInt32(s[1]);
            string resenje = "";
            if(slova[0]==slova[1] || Math.Abs(niz[0]-niz[1])>1)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                if(niz[0]>niz[1])
                {
                    for(int i=0;i<niz[0]+niz[1];i++)
                    {
                        if(i%2==0)
                        {
                            resenje+=slova[0];
                        }
                        else
                        {
                            resenje += slova[1];
                        }
                    }
                }
                else
                {
                    for (int i = 0; i < niz[0] + niz[1]; i++)
                    {
                        if (i % 2 != 0)
                        {
                            resenje += slova[0];
                        }
                        else
                        {
                            resenje += slova[1];
                        }
                    }
                }
            }
            Console.WriteLine(resenje);
        }
    }
}